Subject: Re: [PATCH 9/9] t: add a prerequisite for a compatibility hash

From: Patrick Steinhardt <[email-masked]>
Date: Wed, 24 Sep 2025 09:56:07 +0200

On Fri, Sep 19, 2025 at 01:09:11AM +0000, brian m. carlson wrote:
> In some cases, we'll need to adjust our test suite to work in a proper
> way with a compatibility hash.  For example, in such a case, we'll only
> use pack index v3, since v1 and v2 lack support for multiple algorithms.
> Since we won't want to write those older formats, we'll need to skip
> tests that do so.
> 
> Let's add a COMPAT_HASH prerequisite and define the BROKEN_OBJECTS
> prerequisite in terms of it.

Nit: I think this commit could easily be squashed into the preceding
commit.

Patrick